def 字典_值出现次数(数据, 目标值):
    """
    统计复杂数据结构中某个值出现的次数，支持多层嵌套的字典和列表结构。

    参数:
        - 数据 (dict or list): 要操作的字典或列表。
        - 目标值: 要统计出现次数的值。

    返回:
        - 次数 (int): 值在数据中出现的次数。如果处理过程中发生异常，则返回错误信息。

    示例:
        示例数据 = {"a": 1, "b": [{"c": 1, "d": 2}, {"e": [{"f": 1}, {"g": 2}]}]}
        结果 = 字典_值出现次数(示例数据, 1)
        print("值出现的次数:", 结果)  # 输出: 值出现的次数: 3
    """
    try:
        次数 = 0
        if isinstance(数据, dict):
            # 处理字典类型数据
            for 键, 值 in 数据.items():
                # 如果值是字典或列表类型，则递归调用该函数
                if isinstance(值, (dict, list)):
                    次数 += 字典_值出现次数(值, 目标值)
                # 否则比较当前值和目标值是否相等
                elif 值 == 目标值:
                    次数 += 1
        elif isinstance(数据, list):
            # 处理列表类型数据
            for 元素 in 数据:
                # 如果元素是字典或列表类型，则递归调用该函数
                if isinstance(元素, (dict, list)):
                    次数 += 字典_值出现次数(元素, 目标值)
                # 否则比较当前值和目标值是否相等
                elif 元素 == 目标值:
                    次数 += 1
        return 次数
    except Exception as e:
        # 捕获所有异常并返回错误信息
        return f"处理失败: {e}"